@echo off
setlocal

rem SET THESE TO THE LOCATION OF YOUR JRE-BIN AND INSTALL DIRECTORIES
set JRE_BIN=c:/Programs/Java/jre1.5.0_07/bin
set ROOT_DIR=c:/mytclapidirectory
set JAVA_MAX_MEMORY=130m


set PREFIX=%ROOT_DIR%
set EXEC_PREFIX=%ROOT_DIR%
set XP_TCLJAVA_INSTALL_DIR=%PREFIX%/lib/tcljava1.4.0
set TCLJAVA_INSTALL_DIR=%EXEC_PREFIX%/lib/tcljava1.4.0

rem Setup the CLASSPATH env variable

set CLASSPATH=%CLASSPATH%;
set CLASSPATH=%CLASSPATH%;%XP_TCLJAVA_INSTALL_DIR%/tcljava.jar
set CLASSPATH=%CLASSPATH%;%XP_TCLJAVA_INSTALL_DIR%/tclblend.jar
set CLASSPATH=%CLASSPATH%;%ROOT_DIR%/landslidetclclient.jar
set CLASSPATH=%CLASSPATH%;%ROOT_DIR%/coast_client.jar
set CLASSPATH=%CLASSPATH%;%ROOT_DIR%/coast_shared.jar
set CLASSPATH=%CLASSPATH%;%ROOT_DIR%/sp_product.jar


rem Setup TCLLIBPATH which becomes the default setting for the auto_path
rem in the Tcl shell. Tcl uses this when doing a "package require java".

set TCLLIBPATH=%PREFIX%/lib %TCLLIBPATH%

rem Setup the PATH env variable so that Java and Tcl dlls can be found.
rem Prepend to PATH just in case a directory on the existing PATH
rem contains a dll with the same name as the ones Tcl Blend depend on.

set PATH=%JRE_BIN%;%JRE_BIN%/client;%TCLJAVA_INSTALL_DIR%;%PATH%

set TCLSH=%ROOT_DIR%/bin/tclsh84
%TCLSH% %1 %2 %3 %4 %5 %6 %7 %8 %9

endlocal

