@echo off
setlocal

set PREFIX=D:/COTS/msys/opt/tclblend
set EXEC_PREFIX=D:/COTS/msys/opt/tclblend
set XP_TCLJAVA_INSTALL_DIR=%PREFIX%/lib/tcljava1.4.0
set TCLJAVA_INSTALL_DIR=%EXEC_PREFIX%/lib/tcljava1.4.0

rem Setup the CLASSPATH env variable

set CLASSPATH=%CLASSPATH%;
set CLASSPATH=%CLASSPATH%;%XP_TCLJAVA_INSTALL_DIR%/tcljava.jar
set CLASSPATH=%CLASSPATH%;%XP_TCLJAVA_INSTALL_DIR%/tclblend.jar

rem Setup TCLLIBPATH which becomes the default setting for the auto_path
rem in the Tcl shell. Tcl uses this when doing a "package require java".

set TCLLIBPATH=%PREFIX%/lib %TCLLIBPATH%

rem Setup the PATH env variable so that Java and Tcl dlls can be found.
rem Prepend to PATH just in case a directory on the existing PATH
rem contains a dll with the same name as the ones Tcl Blend depend on.

set PATH=c:/Programs/Java/jdk1.5.0_07/jre/bin;c:/Programs/Java/jdk1.5.0_07/jre/bin/client;%TCLJAVA_INSTALL_DIR%;%PATH%

set TCLSH=D:/COTS/msys/opt/tclblend/bin/tclsh84
%TCLSH% %1 %2 %3 %4 %5 %6 %7 %8 %9

endlocal

